Resolve a negative-review settlement
POST
/api/v1/settlements/{id}/review
const url = 'https://example.com/api/v1/settlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/review';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"resolution":"credit"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/settlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/review \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "resolution": "credit" }'Transitions a NegativeReview settlement to one of: ReviewedAsCredit or ReviewedAsCarryForward, based on the chosen resolution. To write off a settlement use the dedicated write-off endpoint.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
ID of the settlement to review
Request Body required
Section titled “Request Body required ” Media type application/json
object
resolution
required
How to resolve the negative-review settlement: credit = issue a credit note to the partner.
string
Responses
Section titled “ Responses ”Settlement reviewed successfully
Settlement is not in negative_review state
Media type application/json
object
error_code
required
string
message
required
string
Example
{ "error_code": "UNAUTHORIZED", "message": "Authentication credentials were not provided or are invalid."}Unauthorized
Media type application/json
object
error_code
required
string
message
required
string
Example
{ "error_code": "UNAUTHORIZED", "message": "Authentication credentials were not provided or are invalid."}Settlement not found
Media type application/json
object
error_code
required
string
message
required
string
Example
{ "error_code": "UNAUTHORIZED", "message": "Authentication credentials were not provided or are invalid."}Internal server error
Media type application/json
object
error_code
required
string
message
required
string
Example
{ "error_code": "UNAUTHORIZED", "message": "Authentication credentials were not provided or are invalid."}